# Uses of Class
org.apache.lucene.search.MultiPhraseQuery.Builder

Packages that use MultiPhraseQuery.Builder
Package
Description
org.apache.lucene.search
Code to search indices.
org.apache.lucene.util
Some utility classes.

- ## Uses of MultiPhraseQuery.Builder in org.apache.lucene.search

  Methods in org.apache.lucene.search that return MultiPhraseQuery.Builder
  Modifier and Type
  Method
  Description
  `MultiPhraseQuery.Builder`
  MultiPhraseQuery.Builder.`add(Term term)`
  Add a single term at the next position in the phrase.
  `MultiPhraseQuery.Builder`
  MultiPhraseQuery.Builder.`add(Term[] terms)`
  Add multiple terms at the next position in the phrase.
  `MultiPhraseQuery.Builder`
  MultiPhraseQuery.Builder.`add(Term[] terms, int position)`
  Allows to specify the relative position of terms within the phrase.
  `MultiPhraseQuery.Builder`
  MultiPhraseQuery.Builder.`setSlop(int s)`
  Sets the phrase slop for this query.

- ## Uses of MultiPhraseQuery.Builder in org.apache.lucene.util

  Methods in org.apache.lucene.util that return MultiPhraseQuery.Builder
  Modifier and Type
  Method
  Description
  `protected MultiPhraseQuery.Builder`
  QueryBuilder.`newMultiPhraseQueryBuilder()`
  Builds a new MultiPhraseQuery instance.